<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .container {
        margin: auto;
        width: 50%;
        border: 3px solid green;
        padding: 10px;
        text-align: center;
      }
      button {
        background-color: #4caf50; /* Green */
        border: none;
        color: white;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h3>To Check The Number</h3>
      <p>Enter The Number to be check :</p>
      <input type="text" id="input" />
      <br /><br />
      <button onclick="myfunc()">Check</button>
      <br /><br />
      <p id="output"></p>
    </div>
    <script>
      function myfunc() {
        var input = document.getElementById("input").value;
        if (input == "") {
          alert("Enter a number first:");
        } else {
          if (input == 0) {
            document.getElementById("output").innerHTML = "The number is zero";
          } else {
            if (input > 0) {
              document.getElementById("output").innerHTML = "Positive Number";
            } else {
              document.getElementById("output").innerHTML = "Negative Number";
            }
          }
        }
      }
    </script>
  </body>
</html>
